//-----------------------------------------------------------------------------
// MEKA - video_t.c
// Video Mode Calculated Tables - Code
//-----------------------------------------------------------------------------

#include "shared.h"

//-----------------------------------------------------------------------------

// INITIALIZE TABLE FOR VIDEO MODE 0 REFRESH ----------------------------------
void    Init_Table_Video_Mode_0 (void)
{
 byte * p;
 int    i, j;

 p = Table_Mode_0;

 for (i = 0; i < 16; i ++)
     for (j = 0; j < 256; j ++)
         {
         *p++ = (j & 128) ? i : 0;
         *p++ = (j &  64) ? i : 0;
         *p++ = (j &  32) ? i : 0;
         *p++ = (j &  16) ? i : 0;
         *p++ = (j &   8) ? i : 0;
         *p++ = (j &   4) ? i : 0;
         *p++ = (j &   2) ? i : 0;
         *p++ = (j &   1) ? i : 0;
         }
}

//-----------------------------------------------------------------------------

